[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TBookmarkList.Items

Provides indexed access to Bookmarks in the list.

## Declaration

Source position: dbgrids.pas line 186

`public property TBookmarkList.Items[AIndex: Integer] : TBookmark read GetItem; default;`

## Description

Items is a read-only TBookmark property that provides indexed access to Bookmarks in the list. Bookmarks can be accessed by their ordinal position in the list (in the range 0..Count-1).

GetItem is the read access specifier for the Items property, and retrieves the TBookmark stored at the specified position in the list.

Items is the default property in TBookmarkList.

Use CurrentSelectedRow, Clear, Delete, and Refresh to maintain bookmarks stored in the list.